%define upstream_name Types-Serialiser
%define upstream_version 1.01

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Simple data types for common serialisation formats
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Async/MLEHMANN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(common::sense)
BuildArch:  noarch

# Filter bogus provide of JSON::PP::Boolean (for rpm ≥ 4.9)
%global __provides_exclude ^perl\\(JSON::PP::Boolean\\)

%description
This module provides some extra datatypes that are used by common
serialisation formats such as JSON or CBOR. The idea is to have a
repository of simple/small constants and containers that can be shared
by different implementations so they become interoperable between each
other.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc COPYING Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 1.10.0-2.mga9
+ Revision: 1813646
- Mageia 9 Mass Rebuild

* Wed Dec 02 2020 tv <tv> 1.10.0-1.mga8
+ Revision: 1651495
- update to 1.01

* Wed Feb 12 2020 umeabot <umeabot> 1.0.0-8.mga8
+ Revision: 1497928
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.0.0-7.mga7
+ Revision: 1272401
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.0.0-6.mga6
+ Revision: 1035427
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 1.0.0-5.mga6
+ Revision: 937857
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.0-4.mga5
+ Revision: 742526
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 1.0.0-3.mga5
+ Revision: 736192
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.0.0-2.mga5
+ Revision: 686755
- Mageia 5 Mass Rebuild

* Fri Feb 07 2014 sander85 <sander85> 1.0.0-1.mga5
+ Revision: 585270
- imported package perl-Types-Serialiser

